Subject: Re: [PATCH 0/2] scalar: add --no-maintenance option

From: Junio C Hamano <[email-masked]>
Date: Thu, 01 May 2025 11:20:58 -0700

Junio C Hamano <[email-masked]> writes:

> It is mostly philosophical, I think, ...

In other words, I think making each helper function do one thing and
one thing well is a good thing, and "register" should focus on
registering the new repository to the system.

By the way, it is excellent that the new option honors the positive
form (i.e. "clone --maintenance" and "clone --no-maintenance").  I
was re-reading the patches and was pleasantly surprised, as I would
have forgotten to do so while focusing too much on the shiny new
feature of being able to disable if I were doing these patches.